# P1 Logger Home Assistant add-on

P1 logger is a tool designed to store meter data conforming to the [ESMR or DSMR (European / Dutch Smart Meter Requirements) standard](https://github.com/jvhaarst/DSMR-P1-telegram-reader/blob/master/documentation/Dutch%20Smart%20Meter%20Requirements%20v5.0.2%20Final%20P1.pdf) as efficiently as possible in a PostgreSQL database. Optionally, TimescaleDB is supported. The data can easily be retrieved using tools such as Grafana for visualisation and analysis.

While Home Assistant focuses on energy management and short-term storage, P1 logger saves P1 data as efficiently as possible and in a format that makes it easier to analyse. Background information about the architecture of P1 logger is included in its [git repo](https://git.hollander.online/energy/p1-logger#background-data-storage-architecture).

This [P1 Logger Home Assistant add-on](https://git.hollander.online/energy/home-assistant-addons/src/branch/main/p1-logger), makes it possible to easily install P1 Logger, without requiring a lot of technical knowledge.

[P1 Logger](https://git.hollander.online/energy/p1-logger) is compatible with ESPHome-based P1 readers configured using the settings available in the [example.yaml ESPhome file](https://git.hollander.online/energy/p1-logger/src/branch/main/esphome)

![P1 logs visualised in Grafana](https://git.hollander.online/energy/p1-logger/raw/branch/main/screenshots/P1-data-grafana.png)

## Installation instructions

Installation instructions are included in the [Documentation](DOCS.md).

## Feedback

If you'd like to provide feedback about this project, or in case you'd like to ask questions, please refer to [this page](https://pieterhollander.nl/author/pieter-hollander/) for contact information (e-mail, Github or LinkedIn), or use the [contact form](https://pieterhollander.nl/#contact) on my website.
